function example_cisLDM

load colic_ORIG.mat

trainX=X(train_inx,:); trainy=y(train_inx); % training set
testX=X(test_inx,:); testy=y(test_inx); % test set

% op: option for solver type
%    0 -- Dual Coordinate Descent
%    1 -- Stochastic Gradient Descent
op=0;

% cost intervals
cost=[6,10];

%parameters used in parameter selction
C1s=[0.01,0.1,1,10,100]; 
C2s=[0.01,0.1,1,10,100];
lambda1s=[0.01,0.1,1,10,100];
lambda2s=[0.01,0.1,1,10,100];
count=1;
for j=1:length(C1s)
    for k=1:length(C2s)
        for m=1:1:length(lambda1s)
            for n=1:1:length(lambda2s)
                ker.type='rbf';
                ker.param=0.1;
                params(count).ker=ker;
                params(count).C1=C1s(j);
                params(count).C2=C2s(k);
                params(count).lambda1=lambda1s(m);
                params(count).lambda2=lambda2s(n);
                count=count+1;
            end
        end
    end
end

% training cisLDM and predicting 30 times
times=30;
Rtemp=zeros(times,5);
for t=1:times
    disp(t);
    % training cisLDM and predicting
    cisldm=cisLDM(trainX, trainy, cost, params, op, labeled_inx(t,:));
    r=predict(cisldm,testX,op);
    % setting 5 test points to test how good a classifier performs in different
    % situations
    Cmax=max(cost);
    Cmin=min(cost);
    TP=[0:0.25:1]*(Cmax-Cmin)+Cmin;
    cm= confusionMatrix(testy,r,[-1,1]);
    Rtemp(t,:)=cm(1,2)+cm(2,1)*TP;
end
Rmean=mean(Rtemp);
Rstd=std(Rtemp);

display(Rmean);
display(Rstd);
