function K = kernel(x,y,ker)

[n,d]=size(x);
[m,d2]=size(y);
if(d~=d2)
    error('Dimensions must agree');
end

K = zeros(m,n);

switch(ker.type)
    case {'gauss','rbf'}
        sigma = ker.param;
        K = exp(- (repmat(sum(x.*x,2)',m,1)+repmat(sum(y.*y,2),1,n)-2*y*x') *sigma);
    case 'linear'
        K = y*x';
    otherwise
        error('No this type!')
end


